#activateBrailleSettingsDialog.py
#A simple NVDA Global Plugin example
#Written by Peter Vagner <peter.v@datagate.sk>

import globalPluginHandler
from gui import mainFrame


class GlobalPlugin(globalPluginHandler.GlobalPlugin):
	"""
This is our plugin class, that must be present in order for plugin to work. It must be named exactly as shown above, otherwise the plugin will not be recognized by NVDA.
"""

	def script_activateBrailleSettingsDialog(self,gesture	):
		mainFrame.onBrailleCommand(None)
	script_activateBrailleSettingsDialog.__doc__=_("Shows the NVDA braille settings dialog") #This description in a docstring form will be spoken while input help is enabled


#: Now defining a dictionary with key bindings for this plugin
	__gestures = {
		"kb:NVDA+Control+x": "activateBrailleSettingsDialog", #will execute our script on pressing the designated key
	}